/**
  * NSWorkspace-BardicheEx.m
  * 
  * Based on NSWorkSpace-SGExtensions.m @ SGAppKit
  * Copyright 2005 BathyScaphe Project. All rights reserved.
  *
  */

#import "NSWorkspace-BardicheEx.h"
#import <Carbon/Carbon.h>

@implementation NSWorkspace(BardicheAddition)
- (BOOL) _openURLsInBackGround : (NSArray *) URLsArray
{
	OSStatus			err;
	LSLaunchURLSpec inLaunchSpec;
	
	if(nil == URLsArray || 0 == [URLsArray count])
		return NO;
	
	inLaunchSpec.appURL = NULL;
	inLaunchSpec.itemURLs = (CFArrayRef)URLsArray; //NSArray, it's CFArrayRef
	inLaunchSpec.passThruParams = nil;
	inLaunchSpec.launchFlags = kLSLaunchDontSwitch;
	inLaunchSpec.asyncRefCon = nil;

	err = LSOpenFromURLSpec( &inLaunchSpec, NULL );

	return (err == noErr);
}

- (BOOL) openURL : (NSURL *) url_ inBackGround : (BOOL) inBG
{
	if(url_ == nil) return NO;
	if(inBG) {
		NSArray	*tempArray_;
		tempArray_ = [NSArray arrayWithObject : url_];
		return [self _openURLsInBackGround : tempArray_];
	} else {
		return [self openURL : url_];
	}
	return NO;
}
@end
